# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AccountEncryption,
    ActiveDirectory,
    AuthorizeRequest,
    Backup,
    BackupPatch,
    BackupPoliciesList,
    BackupPolicy,
    BackupPolicyPatch,
    BackupRestoreFiles,
    BackupStatus,
    BackupVault,
    BackupVaultPatch,
    BackupVaultsList,
    BackupsList,
    BackupsMigrationRequest,
    BreakFileLocksRequest,
    BreakReplicationRequest,
    CapacityPool,
    CapacityPoolList,
    CapacityPoolPatch,
    ChangeKeyVault,
    CheckAvailabilityResponse,
    CloudErrorBody,
    ClusterPeerCommandResponse,
    DailySchedule,
    DestinationReplication,
    Dimension,
    EncryptionIdentity,
    EncryptionTransitionRequest,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    ExportPolicyRule,
    FilePathAvailabilityRequest,
    GetGroupIdListForLDAPUserRequest,
    GetGroupIdListForLDAPUserResponse,
    GetKeyVaultStatusResponse,
    HourlySchedule,
    KeyVaultPrivateEndpoint,
    KeyVaultProperties,
    LdapSearchScopeOpt,
    ListReplications,
    LogSpecification,
    ManagedServiceIdentity,
    MetricSpecification,
    MonthlySchedule,
    MountTarget,
    MountTargetProperties,
    NetAppAccount,
    NetAppAccountList,
    NetAppAccountPatch,
    NetworkSiblingSet,
    NicInfo,
    Operation,
    OperationDisplay,
    OperationListResult,
    PeerClusterForVolumeMigrationRequest,
    PlacementKeyValuePairs,
    PoolChangeRequest,
    ProxyResource,
    QueryNetworkSiblingSetRequest,
    QuotaAvailabilityRequest,
    ReestablishReplicationRequest,
    RegionInfo,
    RegionInfoAvailabilityZoneMappingsItem,
    RegionInfoResource,
    RegionInfosList,
    RelocateVolumeRequest,
    RemotePath,
    Replication,
    ReplicationObject,
    ReplicationStatus,
    Resource,
    ResourceIdentity,
    ResourceNameAvailabilityRequest,
    RestoreStatus,
    ServiceSpecification,
    Snapshot,
    SnapshotPoliciesList,
    SnapshotPolicy,
    SnapshotPolicyDetails,
    SnapshotPolicyPatch,
    SnapshotPolicyVolumeList,
    SnapshotRestoreFiles,
    SnapshotsList,
    SubscriptionQuotaItem,
    SubscriptionQuotaItemList,
    SubvolumeInfo,
    SubvolumeModel,
    SubvolumePatchRequest,
    SubvolumesList,
    SvmPeerCommandResponse,
    SystemData,
    TrackedResource,
    UpdateNetworkSiblingSetRequest,
    UsageName,
    UsageResult,
    UsagesListResult,
    UserAssignedIdentity,
    Volume,
    VolumeBackupProperties,
    VolumeBackups,
    VolumeGroup,
    VolumeGroupDetails,
    VolumeGroupList,
    VolumeGroupMetaData,
    VolumeGroupVolumeProperties,
    VolumeList,
    VolumePatch,
    VolumePatchPropertiesDataProtection,
    VolumePatchPropertiesExportPolicy,
    VolumePropertiesDataProtection,
    VolumePropertiesExportPolicy,
    VolumeQuotaRule,
    VolumeQuotaRulePatch,
    VolumeQuotaRulesList,
    VolumeRelocationProperties,
    VolumeRevert,
    VolumeSnapshotProperties,
    WeeklySchedule,
)

from ._net_app_management_client_enums import (  # type: ignore
    ActiveDirectoryStatus,
    ApplicationType,
    AvsDataStore,
    BackupType,
    CheckNameResourceTypes,
    CheckQuotaNameResourceTypes,
    ChownMode,
    CoolAccessRetrievalPolicy,
    CoolAccessTieringPolicy,
    CreatedByType,
    EnableSubvolumes,
    EncryptionKeySource,
    EncryptionType,
    EndpointType,
    FileAccessLogs,
    InAvailabilityReasonType,
    KeySource,
    KeyVaultStatus,
    ManagedServiceIdentityType,
    MetricAggregationType,
    MirrorState,
    MultiAdStatus,
    NetworkFeatures,
    NetworkSiblingSetProvisioningState,
    ProvisioningState,
    QosType,
    RegionStorageToNetworkProximity,
    RelationshipStatus,
    ReplicationSchedule,
    ReplicationType,
    SecurityStyle,
    ServiceLevel,
    SmbAccessBasedEnumeration,
    SmbNonBrowsable,
    Type,
    VolumeStorageToNetworkProximity,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AccountEncryption",
    "ActiveDirectory",
    "AuthorizeRequest",
    "Backup",
    "BackupPatch",
    "BackupPoliciesList",
    "BackupPolicy",
    "BackupPolicyPatch",
    "BackupRestoreFiles",
    "BackupStatus",
    "BackupVault",
    "BackupVaultPatch",
    "BackupVaultsList",
    "BackupsList",
    "BackupsMigrationRequest",
    "BreakFileLocksRequest",
    "BreakReplicationRequest",
    "CapacityPool",
    "CapacityPoolList",
    "CapacityPoolPatch",
    "ChangeKeyVault",
    "CheckAvailabilityResponse",
    "CloudErrorBody",
    "ClusterPeerCommandResponse",
    "DailySchedule",
    "DestinationReplication",
    "Dimension",
    "EncryptionIdentity",
    "EncryptionTransitionRequest",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "ExportPolicyRule",
    "FilePathAvailabilityRequest",
    "GetGroupIdListForLDAPUserRequest",
    "GetGroupIdListForLDAPUserResponse",
    "GetKeyVaultStatusResponse",
    "HourlySchedule",
    "KeyVaultPrivateEndpoint",
    "KeyVaultProperties",
    "LdapSearchScopeOpt",
    "ListReplications",
    "LogSpecification",
    "ManagedServiceIdentity",
    "MetricSpecification",
    "MonthlySchedule",
    "MountTarget",
    "MountTargetProperties",
    "NetAppAccount",
    "NetAppAccountList",
    "NetAppAccountPatch",
    "NetworkSiblingSet",
    "NicInfo",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "PeerClusterForVolumeMigrationRequest",
    "PlacementKeyValuePairs",
    "PoolChangeRequest",
    "ProxyResource",
    "QueryNetworkSiblingSetRequest",
    "QuotaAvailabilityRequest",
    "ReestablishReplicationRequest",
    "RegionInfo",
    "RegionInfoAvailabilityZoneMappingsItem",
    "RegionInfoResource",
    "RegionInfosList",
    "RelocateVolumeRequest",
    "RemotePath",
    "Replication",
    "ReplicationObject",
    "ReplicationStatus",
    "Resource",
    "ResourceIdentity",
    "ResourceNameAvailabilityRequest",
    "RestoreStatus",
    "ServiceSpecification",
    "Snapshot",
    "SnapshotPoliciesList",
    "SnapshotPolicy",
    "SnapshotPolicyDetails",
    "SnapshotPolicyPatch",
    "SnapshotPolicyVolumeList",
    "SnapshotRestoreFiles",
    "SnapshotsList",
    "SubscriptionQuotaItem",
    "SubscriptionQuotaItemList",
    "SubvolumeInfo",
    "SubvolumeModel",
    "SubvolumePatchRequest",
    "SubvolumesList",
    "SvmPeerCommandResponse",
    "SystemData",
    "TrackedResource",
    "UpdateNetworkSiblingSetRequest",
    "UsageName",
    "UsageResult",
    "UsagesListResult",
    "UserAssignedIdentity",
    "Volume",
    "VolumeBackupProperties",
    "VolumeBackups",
    "VolumeGroup",
    "VolumeGroupDetails",
    "VolumeGroupList",
    "VolumeGroupMetaData",
    "VolumeGroupVolumeProperties",
    "VolumeList",
    "VolumePatch",
    "VolumePatchPropertiesDataProtection",
    "VolumePatchPropertiesExportPolicy",
    "VolumePropertiesDataProtection",
    "VolumePropertiesExportPolicy",
    "VolumeQuotaRule",
    "VolumeQuotaRulePatch",
    "VolumeQuotaRulesList",
    "VolumeRelocationProperties",
    "VolumeRevert",
    "VolumeSnapshotProperties",
    "WeeklySchedule",
    "ActiveDirectoryStatus",
    "ApplicationType",
    "AvsDataStore",
    "BackupType",
    "CheckNameResourceTypes",
    "CheckQuotaNameResourceTypes",
    "ChownMode",
    "CoolAccessRetrievalPolicy",
    "CoolAccessTieringPolicy",
    "CreatedByType",
    "EnableSubvolumes",
    "EncryptionKeySource",
    "EncryptionType",
    "EndpointType",
    "FileAccessLogs",
    "InAvailabilityReasonType",
    "KeySource",
    "KeyVaultStatus",
    "ManagedServiceIdentityType",
    "MetricAggregationType",
    "MirrorState",
    "MultiAdStatus",
    "NetworkFeatures",
    "NetworkSiblingSetProvisioningState",
    "ProvisioningState",
    "QosType",
    "RegionStorageToNetworkProximity",
    "RelationshipStatus",
    "ReplicationSchedule",
    "ReplicationType",
    "SecurityStyle",
    "ServiceLevel",
    "SmbAccessBasedEnumeration",
    "SmbNonBrowsable",
    "Type",
    "VolumeStorageToNetworkProximity",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
